Bug 1120424 - ZSH 5.0.5 Causes 100% CPU
Summary: ZSH 5.0.5 Causes 100% CPU
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: zsh
Version: 19
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Dominic Hopf
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-16 22:11 UTC by Nick Cross
Modified: 2014-09-23 04:44 UTC (History)
3 users (show)

Fixed In Version: zsh-5.0.6-1.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-10 13:27:02 UTC


Attachments (Terms of Use)

Description Nick Cross 2014-07-16 22:11:16 UTC
Description of problem:

BZ1045933 pushed ZSH 5.0.5 but this can cause 100% CPU hang in certain situations. I have seen this on F19 but it should apply to all releases with 5.0.5

See

http://www.zsh.org/mla/users/2014/msg00232.html
This was continued on the workers list 
http://www.zsh.org/mla/workers/2014/msg00207.html
where a patch was submitted which avoids the issue. 

Can this be patched in?

Comment 1 Fedora Update System 2014-07-17 18:46:52 UTC
zsh-5.0.5-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/zsh-5.0.5-2.fc20

Comment 2 Fedora Update System 2014-07-17 18:46:57 UTC
zsh-5.0.5-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/zsh-5.0.5-2.fc19

Comment 3 Fedora Update System 2014-07-19 05:56:54 UTC
Package zsh-5.0.5-2.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing zsh-5.0.5-2.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-8476/zsh-5.0.5-2.fc20
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2014-09-01 10:34:51 UTC
zsh-5.0.6-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/zsh-5.0.6-1.fc21

Comment 5 Fedora Update System 2014-09-01 10:34:59 UTC
zsh-5.0.6-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/zsh-5.0.6-1.fc20

Comment 6 Fedora Update System 2014-09-01 10:35:07 UTC
zsh-5.0.6-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/zsh-5.0.6-1.fc19

Comment 7 Fedora Update System 2014-09-10 13:27:02 UTC
zsh-5.0.6-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2014-09-10 13:31:50 UTC
zsh-5.0.6-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2014-09-23 04:44:25 UTC
zsh-5.0.6-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.